/** 
	Knapphantering
	
		Copyright 2007 Daniel Berg
	
 	This file is part of SatFinder.
 
    SatFinder is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
 
    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SatFinder.  If not, see <http://www.gnu.org/licenses/>.
	
	
*/



#define PRESSED_QUANTA 2


/**
	Knapptest tar ca 5 ms att utfra och kontrollerar under denna tid knapphndelser
	
	Returnerar en byte med en etta p respektive knappmotsvarighet (PORT-placering)
	Anvnd de bifogade knapp-definitionerna
*/
uint8_t Knapptest(void);

/**
	Snabbrutin fr att vnta p en knapptryckning och att anvndaren slpper knappen.
	Returnerar samma som Knapptest.
*/
uint8_t Knapp_snabbtest(void);

